package com.mason.server.dao.generics;

import java.util.List;

import com.mason.server.model.UmlRelationship;

public interface IUmlRelationshipDAO extends GenericDAO<UmlRelationship> {

	public boolean deleteByUmlElementContainerId(long umlElementContainerId);
	
	public List<UmlRelationship> getAllByViewId(long viewId);
	
	boolean deleteAllByViewId(long viewId);
}
